Hanzo
API Reference

Hanzo Search API

Hanzo Search is a high-performance, typo-tolerant search engine

Hanzo Search is a high-performance, typo-tolerant search engine

Base URLhttps://search.hanzo.ai
Version1.0.0
Operations54
GuideHanzo Search API guide

Authentication

  • BearerAuth — HTTP bearer

All Hanzo APIs share one bearer credential and common error and pagination conventions. See API conventions.

curl -H "Authorization: Bearer $HANZO_API_KEY" https://search.hanzo.ai

Endpoints

Batches

MethodEndpointDescription
GET/v1/search/batchesList task batches
GET/v1/search/batches/{batchUid}Get batch details

Chats

MethodEndpointDescription
GET/v1/search/chatsList chat workspaces (experimental)

Documents

MethodEndpointDescription
GET/v1/search/indexes/{indexUid}/documentsBrowse documents
POST/v1/search/indexes/{indexUid}/documentsAdd or replace documents
PUT/v1/search/indexes/{indexUid}/documentsAdd or update documents (partial)
DELETE/v1/search/indexes/{indexUid}/documentsDelete all documents in the index
GET/v1/search/indexes/{indexUid}/documents/{documentId}Get a single document
DELETE/v1/search/indexes/{indexUid}/documents/{documentId}Delete a single document
POST/v1/search/indexes/{indexUid}/documents/delete-batchDelete documents by IDs
POST/v1/search/indexes/{indexUid}/documents/deleteDelete documents by filter
POST/v1/search/indexes/{indexUid}/documents/editEdit documents using a function

Dumps

MethodEndpointDescription
POST/v1/search/dumpsCreate a database dump

Experimental

MethodEndpointDescription
GET/v1/search/experimental-featuresGet runtime-togglable experimental features
PATCH/v1/search/experimental-featuresToggle experimental features

Export

MethodEndpointDescription
POST/v1/search/exportExport index data
MethodEndpointDescription
POST/v1/search/indexes/{indexUid}/facet-searchSearch within facet values

Health

MethodEndpointDescription
GET/healthHealth check

Indexes

MethodEndpointDescription
GET/v1/search/indexesList all indexes
POST/v1/search/indexesCreate a new index
GET/v1/search/indexes/{indexUid}Get index information
PATCH/v1/search/indexes/{indexUid}Update index (primary key)
DELETE/v1/search/indexes/{indexUid}Delete an index

Keys

MethodEndpointDescription
GET/v1/search/keysList API keys
POST/v1/search/keysCreate an API key
GET/v1/search/keys/{keyOrUid}Get an API key
PATCH/v1/search/keys/{keyOrUid}Update an API key
DELETE/v1/search/keys/{keyOrUid}Delete an API key

Logs

MethodEndpointDescription
POST/v1/search/logs/streamStream logs
GET/v1/search/logs/stderrGet stderr log configuration
PUT/v1/search/logs/stderrUpdate stderr log level
DELETE/v1/search/logs/stderrReset stderr log level to default
MethodEndpointDescription
POST/v1/search/multi-searchPerform a multi-index search

Network

MethodEndpointDescription
GET/v1/search/networkGet network/federation configuration
PATCH/v1/search/networkUpdate network configuration
MethodEndpointDescription
GET/v1/search/indexes/{indexUid}/searchSearch documents (GET)
POST/v1/search/indexes/{indexUid}/searchSearch documents (POST)

Settings

MethodEndpointDescription
GET/v1/search/indexes/{indexUid}/settingsGet all index settings
PATCH/v1/search/indexes/{indexUid}/settingsUpdate index settings
DELETE/v1/search/indexes/{indexUid}/settingsReset all settings to defaults

Similar

MethodEndpointDescription
POST/v1/search/indexes/{indexUid}/similarFind similar documents

Snapshots

MethodEndpointDescription
POST/v1/search/snapshotsCreate a database snapshot

Stats

MethodEndpointDescription
GET/v1/search/statsGet global statistics
GET/v1/search/indexes/{indexUid}/statsGet index statistics
GET/metricsGet Prometheus metrics

Swap

MethodEndpointDescription
POST/v1/search/swap-indexesSwap two index identifiers

Tasks

MethodEndpointDescription
GET/v1/search/tasksList all tasks
DELETE/v1/search/tasksDelete completed tasks
GET/v1/search/tasks/{taskUid}Get task details
POST/v1/search/tasks/cancelCancel enqueued or processing tasks

Version

MethodEndpointDescription
GET/v1/search/versionGet server version

Webhooks

MethodEndpointDescription
GET/v1/search/webhooksGet webhook configuration
PATCH/v1/search/webhooksUpdate webhook configuration
DELETE/v1/search/webhooksDelete all webhooks

Hanzo Search API guide · All Hanzo APIs · OpenAPI spec

How is this guide?

On this page